/// <reference types="knockout" />
import { InputElement, InputElementOptions, InputElementType } from "../../framework/inputElement";
export interface TextOptions extends InputElementOptions<string> {
    text?: string | KnockoutObservable<string>;
    valueUpdateMode?: TextValueUpdateMode;
}
export declare type TextValueUpdateMode = "OnInput" | "OnChange";
export declare class Text extends InputElement<string> {
    constructor(options?: TextOptions, elementType?: string, inputElementType?: InputElementType);
    build(): void;
    private innerText;
    private innerSetText;
    getText(): string;
    setText(text: string, triggerChange?: boolean): void;
    readonly options: TextOptions;
}
