import { UiElement, UiElementOptions } from "./uiElement";
export interface UiChildrensElementOptions<TChild extends UiElement> extends UiElementOptions {
    children?: Array<TChild>;
}
export declare abstract class UiChildrensElement<TChild extends UiElement> extends UiElement {
    protected constructor(tagName: string, type: string, options?: UiChildrensElementOptions<TChild>);
    private renderItems;
    build(): void;
    getChildren(): TChild[];
    setChildren(children: Array<TChild>): void;
    addChild(newItem: TChild, referenceItem?: TChild): void;
    removeChild(element: TChild): void;
    clear(): void;
    options: UiChildrensElementOptions<TChild>;
}
